<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AirlineType StructType
 * @subpackage Structs
 */
class AirlineType extends AbstractStructBase
{
    /**
     * The Operating
     * Meta information extracted from the WSDL
     * - documentation: Operating airline code
     * - base: xs:string
     * - pattern: [0-9A-Z]{2,3}
     * - use: required
     * @var string
     */
    public $Operating;
    /**
     * The Marketing
     * Meta information extracted from the WSDL
     * - documentation: Marketing airline code
     * - base: xs:string
     * - pattern: [0-9A-Z]{2,3}
     * - use: required
     * @var string
     */
    public $Marketing;
    /**
     * Constructor method for AirlineType
     * @uses AirlineType::setOperating()
     * @uses AirlineType::setMarketing()
     * @param string $operating
     * @param string $marketing
     */
    public function __construct($operating = null, $marketing = null)
    {
        $this
            ->setOperating($operating)
            ->setMarketing($marketing);
    }
    /**
     * Get Operating value
     * @return string
     */
    public function getOperating()
    {
        return $this->Operating;
    }
    /**
     * Set Operating value
     * @param string $operating
     * @return \SabreSoap\StructType\AirlineType
     */
    public function setOperating($operating = null)
    {
        $this->Operating = $operating;
        return $this;
    }
    /**
     * Get Marketing value
     * @return string
     */
    public function getMarketing()
    {
        return $this->Marketing;
    }
    /**
     * Set Marketing value
     * @param string $marketing
     * @return \SabreSoap\StructType\AirlineType
     */
    public function setMarketing($marketing = null)
    {
        $this->Marketing = $marketing;
        return $this;
    }
}
