<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BrandedFareIndicators StructType
 * @subpackage Structs
 */
class BrandedFareIndicators extends AbstractStructBase
{
    /**
     * The ReturnCheapestUnbrandedFare
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\ReturnCheapestUnbrandedFare
     */
    public $ReturnCheapestUnbrandedFare;
    /**
     * The SingleBrandedFare
     * Meta information extracted from the WSDL
     * - documentation: Return single brand option per itin
     * - use: optional
     * @var bool
     */
    public $SingleBrandedFare;
    /**
     * The MultipleBrandedFares
     * Meta information extracted from the WSDL
     * - documentation: Return multiple brand options per itin
     * - use: optional
     * @var bool
     */
    public $MultipleBrandedFares;
    /**
     * Constructor method for BrandedFareIndicators
     * @uses BrandedFareIndicators::setReturnCheapestUnbrandedFare()
     * @uses BrandedFareIndicators::setSingleBrandedFare()
     * @uses BrandedFareIndicators::setMultipleBrandedFares()
     * @param \SabreSoap\StructType\ReturnCheapestUnbrandedFare $returnCheapestUnbrandedFare
     * @param bool $singleBrandedFare
     * @param bool $multipleBrandedFares
     */
    public function __construct(\SabreSoap\StructType\ReturnCheapestUnbrandedFare $returnCheapestUnbrandedFare = null, $singleBrandedFare = null, $multipleBrandedFares = null)
    {
        $this
            ->setReturnCheapestUnbrandedFare($returnCheapestUnbrandedFare)
            ->setSingleBrandedFare($singleBrandedFare)
            ->setMultipleBrandedFares($multipleBrandedFares);
    }
    /**
     * Get ReturnCheapestUnbrandedFare value
     * @return \SabreSoap\StructType\ReturnCheapestUnbrandedFare|null
     */
    public function getReturnCheapestUnbrandedFare()
    {
        return $this->ReturnCheapestUnbrandedFare;
    }
    /**
     * Set ReturnCheapestUnbrandedFare value
     * @param \SabreSoap\StructType\ReturnCheapestUnbrandedFare $returnCheapestUnbrandedFare
     * @return \SabreSoap\StructType\BrandedFareIndicators
     */
    public function setReturnCheapestUnbrandedFare(\SabreSoap\StructType\ReturnCheapestUnbrandedFare $returnCheapestUnbrandedFare = null)
    {
        $this->ReturnCheapestUnbrandedFare = $returnCheapestUnbrandedFare;
        return $this;
    }
    /**
     * Get SingleBrandedFare value
     * @return bool|null
     */
    public function getSingleBrandedFare()
    {
        return $this->SingleBrandedFare;
    }
    /**
     * Set SingleBrandedFare value
     * @param bool $singleBrandedFare
     * @return \SabreSoap\StructType\BrandedFareIndicators
     */
    public function setSingleBrandedFare($singleBrandedFare = null)
    {
        $this->SingleBrandedFare = $singleBrandedFare;
        return $this;
    }
    /**
     * Get MultipleBrandedFares value
     * @return bool|null
     */
    public function getMultipleBrandedFares()
    {
        return $this->MultipleBrandedFares;
    }
    /**
     * Set MultipleBrandedFares value
     * @param bool $multipleBrandedFares
     * @return \SabreSoap\StructType\BrandedFareIndicators
     */
    public function setMultipleBrandedFares($multipleBrandedFares = null)
    {
        $this->MultipleBrandedFares = $multipleBrandedFares;
        return $this;
    }
}
