<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConnectionLocation StructType
 * Meta information extracted from the WSDL
 * - documentation: The preference level for the connection point - only, unacceptable, preferred.
 * @subpackage Structs
 */
class ConnectionLocation extends RequestLocationType
{
    /**
     * The _
     * @var \SabreSoap\StructType\RequestLocationType
     */
    public $_;
    /**
     * The Inclusive
     * Meta information extracted from the WSDL
     * - default: true
     * - use: optional
     * @var bool
     */
    public $Inclusive;
    /**
     * The MinChangeTime
     * Meta information extracted from the WSDL
     * - documentation: Number of minutes between connections.
     * - use: optional
     * @var int
     */
    public $MinChangeTime;
    /**
     * The ConnectionInfo
     * Meta information extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $ConnectionInfo;
    /**
     * The PreferLevel
     * Meta information extracted from the WSDL
     * - default: Preferred
     * - type: PreferLevelType
     * @var string
     */
    public $PreferLevel;
    /**
     * Constructor method for ConnectionLocation
     * @uses ConnectionLocation::set_()
     * @uses ConnectionLocation::setInclusive()
     * @uses ConnectionLocation::setMinChangeTime()
     * @uses ConnectionLocation::setConnectionInfo()
     * @uses ConnectionLocation::setPreferLevel()
     * @param \SabreSoap\StructType\RequestLocationType $_
     * @param bool $inclusive
     * @param int $minChangeTime
     * @param string $connectionInfo
     * @param string $preferLevel
     */
    public function __construct(\SabreSoap\StructType\RequestLocationType $_ = null, $inclusive = true, $minChangeTime = null, $connectionInfo = null, $preferLevel = 'Preferred')
    {
        $this
            ->set_($_)
            ->setInclusive($inclusive)
            ->setMinChangeTime($minChangeTime)
            ->setConnectionInfo($connectionInfo)
            ->setPreferLevel($preferLevel);
    }
    /**
     * Get _ value
     * @return \SabreSoap\StructType\RequestLocationType|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param \SabreSoap\StructType\RequestLocationType $_
     * @return \SabreSoap\StructType\ConnectionLocation
     */
    public function set_(\SabreSoap\StructType\RequestLocationType $_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Get Inclusive value
     * @return bool|null
     */
    public function getInclusive()
    {
        return $this->Inclusive;
    }
    /**
     * Set Inclusive value
     * @param bool $inclusive
     * @return \SabreSoap\StructType\ConnectionLocation
     */
    public function setInclusive($inclusive = true)
    {
        $this->Inclusive = $inclusive;
        return $this;
    }
    /**
     * Get MinChangeTime value
     * @return int|null
     */
    public function getMinChangeTime()
    {
        return $this->MinChangeTime;
    }
    /**
     * Set MinChangeTime value
     * @param int $minChangeTime
     * @return \SabreSoap\StructType\ConnectionLocation
     */
    public function setMinChangeTime($minChangeTime = null)
    {
        $this->MinChangeTime = $minChangeTime;
        return $this;
    }
    /**
     * Get ConnectionInfo value
     * @return string|null
     */
    public function getConnectionInfo()
    {
        return $this->ConnectionInfo;
    }
    /**
     * Set ConnectionInfo value
     * @param string $connectionInfo
     * @return \SabreSoap\StructType\ConnectionLocation
     */
    public function setConnectionInfo($connectionInfo = null)
    {
        $this->ConnectionInfo = $connectionInfo;
        return $this;
    }
    /**
     * Get PreferLevel value
     * @return string|null
     */
    public function getPreferLevel()
    {
        return $this->PreferLevel;
    }
    /**
     * Set PreferLevel value
     * @param string $preferLevel
     * @return \SabreSoap\StructType\ConnectionLocation
     */
    public function setPreferLevel($preferLevel = 'Preferred')
    {
        $this->PreferLevel = $preferLevel;
        return $this;
    }
}
