<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FareRestrictPrefType StructType
 * Meta information extracted from the WSDL
 * - documentation: Identifies preferences for airfare restrictions acceptable or not acceptable for a given travel situation.
 * @subpackage Structs
 */
class FareRestrictPrefType extends AbstractStructBase
{
    /**
     * The FareRestriction
     * Meta information extracted from the WSDL
     * - documentation: Refer to OTA Code List Fare Restriction (FAR). | Used for codes in the OTA code tables. Possible values of this pattern are 1, 101, 101.EQP, or 101.EQP.X.
     * - base: xs:string
     * - use: optional
     * @var string
     */
    public $FareRestriction;
    /**
     * The PreferLevel
     * Meta information extracted from the WSDL
     * - default: Preferred
     * - type: PreferLevelType
     * @var string
     */
    public $PreferLevel;
    /**
     * Constructor method for FareRestrictPrefType
     * @uses FareRestrictPrefType::setFareRestriction()
     * @uses FareRestrictPrefType::setPreferLevel()
     * @param string $fareRestriction
     * @param string $preferLevel
     */
    public function __construct($fareRestriction = null, $preferLevel = 'Preferred')
    {
        $this
            ->setFareRestriction($fareRestriction)
            ->setPreferLevel($preferLevel);
    }
    /**
     * Get FareRestriction value
     * @return string|null
     */
    public function getFareRestriction()
    {
        return $this->FareRestriction;
    }
    /**
     * Set FareRestriction value
     * @param string $fareRestriction
     * @return \SabreSoap\StructType\FareRestrictPrefType
     */
    public function setFareRestriction($fareRestriction = null)
    {
        $this->FareRestriction = $fareRestriction;
        return $this;
    }
    /**
     * Get PreferLevel value
     * @return string|null
     */
    public function getPreferLevel()
    {
        return $this->PreferLevel;
    }
    /**
     * Set PreferLevel value
     * @param string $preferLevel
     * @return \SabreSoap\StructType\FareRestrictPrefType
     */
    public function setPreferLevel($preferLevel = 'Preferred')
    {
        $this->PreferLevel = $preferLevel;
        return $this;
    }
}
